Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc
Interface XPooledConnection

All Superinterfaces:
  PooledConnection

All Known Subinterfaces:
  DTPPooledConnection

All Known Implementing Classes:
  ExclusiveExternalXAPooledConnectionImp, ExternalXAPooledConnectionImp

    public interface XPooledConnection

extends PooledConnection

An enhancement of a pooled connection, that works with the ConnectionPool class.

Method Summary
`void` | `close()` Closes the underlying connection for keeps.
`Connection` | `getConnection()` To get the connection to work with.
`boolean` | `getInvalidated()`
`Date` | `getLastUse()` For pool management .
`void` | `setInvalidated()`
`void` | `setLastUse(Date date)` For pool management reasons.
`String` | `toString()`

Methods inherited from interface javax.sql.PooledConnection
`addConnectionEventListener, removeConnectionEventListener`

Method Detail

### toString

    String toString()

  Overrides:
    `toString` in class `Object`

### getConnection

    Connection getConnection()
                             throws SQLException

  To get the connection to work with.

  Specified by:
    `getConnection` in interface `PooledConnection`
  Returns:
    Connection The connection to work on. Any statement that is created will have a default timeout of 60 seconds. It is recommended that a timeout is used in any case, in order to avoid blocking rollbacks!
  Throws:
    `SQLException`

### close

    void close()
               throws SQLException

  Closes the underlying connection for keeps.

  Specified by:
    `close` in interface `PooledConnection`
  Throws:
    `SQLException`

### setLastUse

    void setLastUse(Date date)

  For pool management reasons.

### getLastUse

    Date getLastUse()

  For pool management .

### setInvalidated

    void setInvalidated()

### getInvalidated

    boolean getInvalidated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.